Your account will be charged for each request.
The cost can be calculated on the Pricing page.
Live Yahoo Organic SERP HTML
Live SERP HTML provides a raw HTML page of search engine results for the specified keyword, search engine, and location.
Live SERP HTML provides a raw HTML page of search engine results for the specified keyword, search engine, and location.
Your account will be charged for each request.
The cost can be calculated on the Pricing page.
All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.
Below you will find a detailed description of the fields you can use for setting a task.
Description of the fields for setting a task:
| Field name | Type | Description |
|---|---|---|
url | string | direct URL of the search query |
keyword | string | keyword learn more about rules and limitations of |
location_name | string | full name of search engine location |
location_code | integer | search engine location code |
location_coordinate | string | GPS coordinates of a location |
language_name | string | full name of search engine language |
language_code | string | search engine language code |
device | string | device type |
os | string | device operating system |
se_domain | string | search engine domain |
depth | integer | parsing depth |
max_crawl_pages | integer | page crawl limit |
search_param | string | additional parameters of the search query |
stop_crawl_on_match | array | array of targets to stop crawling |
match_value | string | target domain, subdomain, or wildcard value |
match_type | string | target match type |
tasks array with the information specific to the set tasks.
Description of the fields in the results array:
| Field name | Type | Description |
|---|---|---|
version | string | the current version of the API |
status_code | integer | general status code |
status_message | string | general informational message |
time | string | execution time, seconds |
cost | float | total tasks cost, USD |
tasks_count | integer | the number of tasks in the |
tasks_error | integer | the number of tasks in the |
tasks | array | array of tasks |
id | string | task identifier |
status_code | integer | status code of the task |
status_message | string | informational message of the task |
time | string | execution time, seconds |
cost | float | cost of the task, USD |
result_count | integer | number of elements in the |
path | array | URL path |
data | object | the data specified in the API call |
result | array | array of results |
keyword | string | keyword received in a POST array |
type | string | search engine type in a POST array |
se_domain | string | search engine domain in a POST array |
location_code | integer | location code in a POST array |
language_code | string | language code in a POST array |
datetime | string | date and time when the result was received |
items_count | integer | the number of results returned in the |
items | array | elements of search results found in SERP |
page | integer | serial number of the returned HTML page |
date | string | date and time when the HTML page was scanned |
html | string | HTML page |
Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
login="login"
password="password"
cred="$(printf ${login}:${password} | base64)"
curl --location --request POST "https://api.dataforseo.com/v3/serp/yahoo/organic/live/html"
--header "Authorization: Basic ${cred}"
--header "Content-Type: application/json"
--data-raw '[
{
"language_code": "en",
"location_code": 2840,
"keyword": "albert einstein"
}
]'<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
"language_code" => "en",
"location_code" => 2840,
"keyword" => mb_convert_encoding("albert einstein", "UTF-8")
);
try {
// POST /v3/serp/yahoo/organic/live/html
// in addition to 'yahoo' and 'organic' you can also set other search engine and type parameters
// the full list of possible parameters is available in documentation
$result = $client->post('/v3/serp/yahoo/organic/live/html', $post_array);
print_r($result);
// do something with post result
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
}
$client = null;
?>const axios = require('axios');
axios({
method: 'post',
url: 'https://api.dataforseo.com/v3/serp/yahoo/organic/live/html',
auth: {
username: 'login',
password: 'password'
},
data: [{
"keyword": encodeURI("albert einstein"),
"language_code": "en",
"location_code": 2840
}],
headers: {
'content-type': 'application/json'
}
}).then(function (response) {
var result = response['data']['tasks'];
// Result data
console.log(result);
}).catch(function (error) {
console.log(error);
});from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
language_code="en",
location_code=2840,
keyword="albert einstein"
)
# POST /v3/serp/yahoo/organic/live/html
# in addition to 'yahoo' and 'organic' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/yahoo/organic/live/html", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
public static partial class Demos
{
public static async Task serp_live_html()
{
var httpClient = new HttpClient
{
BaseAddress = new Uri("https://api.dataforseo.com/"),
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
//DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
};
var postData = new List<object>();
// You can set only one task at a time
postData.Add(new
{
language_code = "en",
location_code = 2840,
keyword = "albert einstein"
});
// POST /v3/serp/yahoo/organic/live/html
// in addition to 'yahoo' and 'organic' you can also set other search engine and type parameters
// the full list of possible parameters is available in documentation
var taskPostResponse = await httpClient.PostAsync("/v3/serp/yahoo/organic/live/html", new StringContent(JsonConvert.SerializeObject(postData)));
var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (result.status_code == 20000)
{
// do something with result
Console.WriteLine(result);
}
else
Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
}
}
}The above command returns JSON structured like this:
{
"version": "0.1.20200130",
"status_code": 20000,
"status_message": "Ok.",
"time": "7.7543 sec.",
"cost": 0.003,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"id": "01301613-1535-0140-0000-c64ff6de0501",
"status_code": 20000,
"status_message": "Ok.",
"time": "7.6463 sec.",
"cost": 0.003,
"result_count": 1,
"path": [
"v3",
"serp",
"yahoo",
"organic",
"live",
"html"
],
"data": {
"api": "serp",
"function": "live",
"se": "yahoo",
"se_type": "organic",
"language_code": "en",
"location_code": "2840",
"keyword": "albert einstein",
"tag": "tag1",
"device": "desktop",
"os": "windows"
},
"result": [
{
"keyword": "albert einstein",
"type": "organic",
"se_domain": "search.yahoo.com",
"location_code": 2840,
"language_code": "en",
"datetime": "2020-01-30 14:13:54 +0000",
"items_count": 1,
"items": [
{
"page": 1,
"date": "2020-01-30 14:13:54 +0000",
"html": "<!doctype html><html><head></head></body></html>"
}
]
}
]
}
]
}